<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"  
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		office:version="1.0"
		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xmlns:xsd="http://www.w3.org/2001/XMLSchema"
		xmlns:xlink="http://www.w3.org/1999/xlink"
		xmlns:xforms="http://www.w3.org/2002/xforms"
		xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"
		xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
		xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
		xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
		xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0"
		xmlns:ooow="http://openoffice.org/2004/writer"
		xmlns:oooc="http://openoffice.org/2004/calc"
		xmlns:ooo="http://openoffice.org/2004/office"
		xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0"
		xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0"
		xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0"
		xmlns:math="http://www.w3.org/1998/Math/MathML"
		xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0"
		xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0"
		xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
		xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0"
		xmlns:dom="http://www.w3.org/2001/xml-events"
		xmlns:dc="http://purl.org/dc/elements/1.1/"
		xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0">

<xsl:output	
	method="xml" indent="yes" encoding="utf-8" 
	/>

<xsl:template match="/">
<office:document-content office:version="1.0"
                         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                         xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                         xmlns:xlink="http://www.w3.org/1999/xlink"
                         xmlns:xforms="http://www.w3.org/2002/xforms"
                         xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"
                         xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
                         xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
                         xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
                         xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0"
                         xmlns:ooow="http://openoffice.org/2004/writer"
                         xmlns:oooc="http://openoffice.org/2004/calc"
                         xmlns:ooo="http://openoffice.org/2004/office"
                         xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0"
                         xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0"
                         xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0"
                         xmlns:math="http://www.w3.org/1998/Math/MathML"
                         xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0"
                         xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0"
                         xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
                         xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0"
                         xmlns:dom="http://www.w3.org/2001/xml-events"
                         xmlns:dc="http://purl.org/dc/elements/1.1/"
                         xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0">
  <office:scripts />

  <office:font-face-decls>
    <style:font-face style:font-family-generic="roman"
                     style:font-pitch="variable" style:name="Times New Roman"
                     svg:font-family="'Times New Roman'" />

    <style:font-face style:font-family-generic="swiss"
                     style:font-pitch="variable" style:name="Arial"
                     svg:font-family="Arial" />

    <style:font-face style:font-family-generic="system"
                     style:font-pitch="variable" style:name="Tahoma"
                     svg:font-family="Tahoma" />
  </office:font-face-decls>

  <office:automatic-styles>
    <style:style style:family="graphic" style:name="fr1"
                 style:parent-style-name="Frame">
      <style:graphic-properties style:horizontal-pos="from-left"
                                style:horizontal-rel="page"
                                style:vertical-pos="from-top"
                                style:vertical-rel="page"
				fo:border="none">
        <style:columns fo:column-count="1" fo:column-gap="0cm" />
      </style:graphic-properties>
	<style:style style:name="P1" style:family="paragraph" style:parent-style-name="Standard">
		<style:paragraph-properties fo:break-before="page"/>
	</style:style>
    </style:style>

  </office:automatic-styles>

  <office:body>
    <office:text text:use-soft-page-breaks="true">
      <office:forms form:apply-design-mode="false"
                    form:automatic-focus="false" />



	<xsl:variable name="envelopes" select="count(/*/row)"/>

	<xsl:call-template name="new_envelope">
		<xsl:with-param name="envelopes" select="$envelopes" />
		<xsl:with-param name="currentcount" select="1" />
	</xsl:call-template>

    </office:text>
  </office:body>
</office:document-content>
</xsl:template>

<xsl:template name="new_envelope">
	<xsl:param name="envelopes" />
	<xsl:param name="currentcount" />

<!-- 	<xsl:value-of select="$currentcount" />	 -->

	<xsl:variable name="adrpostal">
        	<xsl:copy-of select="/*/row[$currentcount]/address_postal"/>
   	</xsl:variable>
	<text:p text:style-name="P1">
	 <draw:frame draw:style-name="fr1" svg:height="7.0cm" svg:width="10.0cm" svg:x="16.5cm"
                  svg:y="14.0cm" 
                  text:anchor-type="page">

	 <xsl:attribute name="text:anchor-page-number">
	    <xsl:value-of select="$currentcount" />
  	</xsl:attribute>

	<xsl:attribute name="draw:name">
	    <xsl:value-of select="concat('FrameA', $currentcount)" />
  	</xsl:attribute>  

	<xsl:call-template name="frame_content">
		<xsl:with-param name="currentcount" select="$currentcount" />
		<xsl:with-param name="adrpostal" select="$adrpostal" />
	</xsl:call-template>

    	  </draw:frame>
	</text:p>

	<xsl:if test="$currentcount &lt; $envelopes">
			<xsl:call-template name="new_envelope">
				<xsl:with-param name="envelopes" select="$envelopes" />
				<xsl:with-param name="currentcount" select="$currentcount + 1" />
			</xsl:call-template>
	</xsl:if>

</xsl:template>



<xsl:template name="frame_content">
	<xsl:param name="currentcount" />
	<xsl:param name="adrpostal" />
        <draw:text-box>
		
		<text:p>
			
			<xsl:choose>

			<xsl:when test="(/*/row[$currentcount]/fullname)">	
				<xsl:value-of select="/*/row[$currentcount]/fullname" />
			</xsl:when>

			<xsl:otherwise>
				<xsl:value-of select="/*/row[$currentcount]/name" />
			</xsl:otherwise>

			</xsl:choose>

		</text:p>		


		<xsl:choose>
			<xsl:when test="string($adrpostal)">
		
				<text:p><xsl:value-of select="$adrpostal" /></text:p>
		
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$currentcount" />
				<text:p>
					<xsl:value-of select="/*/row[$currentcount]/street" />
				</text:p>
				<text:p>
					<xsl:value-of select="/*/row[$currentcount]/city" />
				</text:p>
				<text:p>
					<xsl:value-of select="/*/row[$currentcount]/country" />
				</text:p>
			</xsl:otherwise>
		</xsl:choose>	

	</draw:text-box>
</xsl:template>


</xsl:stylesheet>
